ittnotify_config.h File Reference
`#include <windows.h>`
`#include "ittnotify_types.h"`
Include dependency graph for ittnotify_config.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | ___itt_thread_info
struct | ___itt_api_info_20101001
struct | ___itt_api_info
struct | __itt_counter_info
struct | ___itt_global

## Macros

#define | ITT_ARCH_IA32 1
#define | ITT_ARCH_IA32E 2
#define | ITT_ARCH_ARM 4
#define | ITT_ARCH_PPC64 5
#define | ITT_EXTERN_C /* nothing */
#define | ITT_EXTERN_C_BEGIN /* nothing */
#define | ITT_EXTERN_C_END /* nothing */
#define | ITT_TO_STR_AUX(x) #x
#define | ITT_TO_STR(x) ITT_TO_STR_AUX(x)
#define | __ITT_BUILD_ASSERT(expr, suffix)
#define | _ITT_BUILD_ASSERT(expr, suffix) __ITT_BUILD_ASSERT((expr), suffix)
#define | ITT_BUILD_ASSERT(expr) _ITT_BUILD_ASSERT((expr), __LINE__)
#define | ITT_MAGIC { 0xED, 0xAB, 0xAB, 0xEC, 0x0D, 0xEE, 0xDA, 0x30 }
#define | API_VERSION_BUILD 20180723
#define | API_VERSION_NUM 0.0.0
#define | API_VERSION
#define | MUTEX_INITIALIZER { 0 }
#define | strong_alias(name, aliasname) /* empty for Windows */
#define | __itt_get_proc(lib, name) GetProcAddress(lib, name)
#define | __itt_mutex_init(mutex) InitializeCriticalSection(mutex)
#define | __itt_mutex_lock(mutex) EnterCriticalSection(mutex)
#define | __itt_mutex_unlock(mutex) LeaveCriticalSection(mutex)
#define | __itt_load_lib(name) LoadLibraryA(name)
#define | __itt_unload_lib(handle) FreeLibrary(handle)
#define | __itt_system_error() (int)GetLastError()
#define | __itt_fstrcmp(s1, s2) lstrcmpA(s1, s2)
#define | __itt_fstrnlen(s, l) strnlen_s(s, l)
#define | __itt_fstrcpyn(s1, b, s2, l) strncpy_s(s1, b, s2, l)
#define | __itt_fstrdup(s) _strdup(s)
#define | __itt_thread_id() GetCurrentThreadId()
#define | __itt_thread_yield() SwitchToThread()
#define | DL_SYMBOLS (1)
#define | PTHREAD_SYMBOLS (1)
#define | NEW_THREAD_INFO_W(gptr, h, h_tail, t, s, n)
#define | NEW_THREAD_INFO_A(gptr, h, h_tail, t, s, n)
#define | NEW_DOMAIN_W(gptr, h, h_tail, name)
#define | NEW_DOMAIN_A(gptr, h, h_tail, name)
#define | NEW_STRING_HANDLE_W(gptr, h, h_tail, name)
#define | NEW_STRING_HANDLE_A(gptr, h, h_tail, name)
#define | NEW_COUNTER_W(gptr, h, h_tail, name, domain, type)
#define | NEW_COUNTER_A(gptr, h, h_tail, name, domain, type)

## Typedefs

typedef HMODULE | lib_t
typedef DWORD | TIDT
typedef CRITICAL_SECTION | mutex_t
typedef struct ___itt_thread_info | __itt_thread_info
typedef struct ___itt_api_info_20101001 | __itt_api_info_20101001
typedef struct ___itt_api_info | __itt_api_info
typedef struct __itt_counter_info | __itt_counter_info_t
typedef struct ___itt_global | __itt_global

## Enumerations

enum | __itt_collection_state { __itt_collection_normal = 0 , __itt_collection_paused = 1 }
enum | __itt_thread_state { __itt_thread_normal = 0 , __itt_thread_ignored = 1 }

## Functions

ITT_INLINE long | __itt_interlocked_increment (volatile long *ptr) ITT_INLINE_ATTRIBUTE

## Macro Definition Documentation

## __ITT_BUILD_ASSERT

#define __ITT_BUILD_ASSERT | ( |  | expr,
|  |  | suffix
| ) |  |

Value:
do { \
static char __itt_build_check_##suffix[(expr) ? 1 : -1]; \
__itt_build_check_##suffix[0] = 0; \
} while(0)

Definition at line 185 of file ittnotify_config.h.

## __itt_fstrcmp

#define __itt_fstrcmp | ( |  | s1,
|  |  | s2
| ) |  | lstrcmpA(s1, s2)

Definition at line 241 of file ittnotify_config.h.

## __itt_fstrcpyn

#define __itt_fstrcpyn | ( |  | s1,
|  |  | b,
|  |  | s2,
|  |  | l
| ) |  | strncpy_s(s1, b, s2, l)

Definition at line 243 of file ittnotify_config.h.

## __itt_fstrdup

#define __itt_fstrdup | ( |  | s | ) | _strdup(s)

Definition at line 244 of file ittnotify_config.h.

## __itt_fstrnlen

#define __itt_fstrnlen | ( |  | s,
|  |  | l
| ) |  | strnlen_s(s, l)

Definition at line 242 of file ittnotify_config.h.

## __itt_get_proc

#define __itt_get_proc | ( |  | lib,
|  |  | name
| ) |  | GetProcAddress(lib, name)

Definition at line 234 of file ittnotify_config.h.

## __itt_load_lib

#define __itt_load_lib | ( |  | name | ) | LoadLibraryA(name)

Definition at line 238 of file ittnotify_config.h.

## __itt_mutex_init

#define __itt_mutex_init | ( |  | mutex | ) | InitializeCriticalSection(mutex)

Definition at line 235 of file ittnotify_config.h.

## __itt_mutex_lock

#define __itt_mutex_lock | ( |  | mutex | ) | EnterCriticalSection(mutex)

Definition at line 236 of file ittnotify_config.h.

## __itt_mutex_unlock

#define __itt_mutex_unlock | ( |  | mutex | ) | LeaveCriticalSection(mutex)

Definition at line 237 of file ittnotify_config.h.

## __itt_system_error

#define __itt_system_error | ( |  | ) | (int)GetLastError()

Definition at line 240 of file ittnotify_config.h.

## __itt_thread_id

#define __itt_thread_id | ( |  | ) | GetCurrentThreadId()

Definition at line 245 of file ittnotify_config.h.

## __itt_thread_yield

#define __itt_thread_yield | ( |  | ) | SwitchToThread()

Definition at line 246 of file ittnotify_config.h.

## __itt_unload_lib

#define __itt_unload_lib | ( |  | handle | ) | FreeLibrary(handle)

Definition at line 239 of file ittnotify_config.h.

## _ITT_BUILD_ASSERT

#define _ITT_BUILD_ASSERT | ( |  | expr,
|  |  | suffix
| ) |  | __ITT_BUILD_ASSERT((expr), suffix)

Definition at line 189 of file ittnotify_config.h.

## API_VERSION

#define API_VERSION

Value:
"ITT-API-Version " ITT_TO_STR(API_VERSION_NUM) \
" (" ITT_TO_STR(API_VERSION_BUILD) ")"
API_VERSION_BUILD
#define API_VERSION_BUILD
Definition: ittnotify_config.h:195
API_VERSION_NUM
#define API_VERSION_NUM
Definition: ittnotify_config.h:198
ITT_TO_STR
#define ITT_TO_STR(x)
Definition: ittnotify_config.h:183

Definition at line 201 of file ittnotify_config.h.

## API_VERSION_BUILD

#define API_VERSION_BUILD 20180723

Definition at line 195 of file ittnotify_config.h.

## API_VERSION_NUM

#define API_VERSION_NUM 0.0.0

Definition at line 198 of file ittnotify_config.h.

## DL_SYMBOLS

#define DL_SYMBOLS (1)

Definition at line 256 of file ittnotify_config.h.

## ITT_ARCH_ARM

#define ITT_ARCH_ARM 4

Definition at line 151 of file ittnotify_config.h.

## ITT_ARCH_IA32

#define ITT_ARCH_IA32 1

Definition at line 143 of file ittnotify_config.h.

## ITT_ARCH_IA32E

#define ITT_ARCH_IA32E 2

Definition at line 147 of file ittnotify_config.h.

## ITT_ARCH_PPC64

#define ITT_ARCH_PPC64 5

Definition at line 155 of file ittnotify_config.h.

## ITT_BUILD_ASSERT

#define ITT_BUILD_ASSERT | ( |  | expr | ) | _ITT_BUILD_ASSERT((expr), __LINE__)

Definition at line 190 of file ittnotify_config.h.

## ITT_EXTERN_C

#define ITT_EXTERN_C /* nothing */

Definition at line 177 of file ittnotify_config.h.

## ITT_EXTERN_C_BEGIN

#define ITT_EXTERN_C_BEGIN /* nothing */

Definition at line 178 of file ittnotify_config.h.

## ITT_EXTERN_C_END

#define ITT_EXTERN_C_END /* nothing */

Definition at line 179 of file ittnotify_config.h.

## ITT_MAGIC

#define ITT_MAGIC { 0xED, 0xAB, 0xAB, 0xEC, 0x0D, 0xEE, 0xDA, 0x30 }

Definition at line 192 of file ittnotify_config.h.

## ITT_TO_STR

#define ITT_TO_STR | ( |  | x | ) | ITT_TO_STR_AUX(x)

Definition at line 183 of file ittnotify_config.h.

## ITT_TO_STR_AUX

#define ITT_TO_STR_AUX | ( |  | x | ) | #x

Definition at line 182 of file ittnotify_config.h.

## MUTEX_INITIALIZER

#define MUTEX_INITIALIZER { 0 }

Definition at line 210 of file ittnotify_config.h.

## NEW_COUNTER_A

#define NEW_COUNTER_A | ( |  | gptr,
|  |  | h,
|  |  | h_tail,
|  |  | name,
|  |  | domain,
|  |  | type
| ) |  |

Value:
{ \
h = (__itt_counter_info_t*)malloc(sizeof(__itt_counter_info_t)); \
if (h != NULL) { \
h->nameA = name ? __itt_fstrdup(name) : NULL; \
h->nameW = NULL; \
h->domainA = domain ? __itt_fstrdup(domain) : NULL; \
h->domainW = NULL; \
h->type = type; \
h->index = 0; \
h->next = NULL; \
if (h_tail == NULL) \
(gptr)->counter_list = h; \
else \
h_tail->next = h; \
} \
}
__itt_fstrdup
#define __itt_fstrdup(s)
Definition: ittnotify_config.h:244
name
void const char const char int ITT_FORMAT __itt_group_sync x void const char * name
Definition: ittnotify_static.h:93
domain
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t * domain
Definition: ittnotify_static.h:153
h
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function h
Definition: ittnotify_static.h:159
type
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp __itt_timestamp ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain ITT_FORMAT p const __itt_domain __itt_string_handle unsigned long long ITT_FORMAT lu const __itt_domain __itt_string_handle unsigned long long ITT_FORMAT lu const __itt_domain __itt_id __itt_string_handle __itt_metadata_type type
Definition: ittnotify_static.h:198
__itt_counter_info
Definition: ittnotify_config.h:406

Definition at line 568 of file ittnotify_config.h.

## NEW_COUNTER_W

#define NEW_COUNTER_W | ( |  | gptr,
|  |  | h,
|  |  | h_tail,
|  |  | name,
|  |  | domain,
|  |  | type
| ) |  |

Value:
{ \
h = (__itt_counter_info_t*)malloc(sizeof(__itt_counter_info_t)); \
if (h != NULL) { \
h->nameA = NULL; \
h->nameW = name ? _wcsdup(name) : NULL; \
h->domainA = NULL; \
h->domainW = name ? _wcsdup(domain) : NULL; \
h->type = type; \
h->index = 0; \
h->next = NULL; \
if (h_tail == NULL) \
(gptr)->counter_list = h; \
else \
h_tail->next = h; \
} \
}

Definition at line 551 of file ittnotify_config.h.

## NEW_DOMAIN_A

#define NEW_DOMAIN_A | ( |  | gptr,
|  |  | h,
|  |  | h_tail,
|  |  | name
| ) |  |

Value:
{ \
h = (__itt_domain*)malloc(sizeof(__itt_domain)); \
if (h != NULL) { \
h->flags = 1; /* domain is enabled by default */ \
h->nameA = name ? __itt_fstrdup(name) : NULL; \
h->nameW = NULL; \
h->extra1 = 0; /* reserved */ \
h->extra2 = NULL; /* reserved */ \
h->next = NULL; \
if (h_tail == NULL) \
(gptr)->domain_list = h; \
else \
h_tail->next = h; \
} \
}

Definition at line 505 of file ittnotify_config.h.

## NEW_DOMAIN_W

#define NEW_DOMAIN_W | ( |  | gptr,
|  |  | h,
|  |  | h_tail,
|  |  | name
| ) |  |

Value:
{ \
h = (__itt_domain*)malloc(sizeof(__itt_domain)); \
if (h != NULL) { \
h->flags = 1; /* domain is enabled by default */ \
h->nameA = NULL; \
h->nameW = name ? _wcsdup(name) : NULL; \
h->extra1 = 0; /* reserved */ \
h->extra2 = NULL; /* reserved */ \
h->next = NULL; \
if (h_tail == NULL) \
(gptr)->domain_list = h; \
else \
h_tail->next = h; \
} \
}

Definition at line 489 of file ittnotify_config.h.

## NEW_STRING_HANDLE_A

#define NEW_STRING_HANDLE_A | ( |  | gptr,
|  |  | h,
|  |  | h_tail,
|  |  | name
| ) |  |

Value:
{ \
h = (__itt_string_handle*)malloc(sizeof(__itt_string_handle)); \
if (h != NULL) { \
h->strA = name ? __itt_fstrdup(name) : NULL; \
h->strW = NULL; \
h->extra1 = 0; /* reserved */ \
h->extra2 = NULL; /* reserved */ \
h->next = NULL; \
if (h_tail == NULL) \
(gptr)->string_list = h; \
else \
h_tail->next = h; \
} \
}

Definition at line 536 of file ittnotify_config.h.

## NEW_STRING_HANDLE_W

#define NEW_STRING_HANDLE_W | ( |  | gptr,
|  |  | h,
|  |  | h_tail,
|  |  | name
| ) |  |

Value:
{ \
h = (__itt_string_handle*)malloc(sizeof(__itt_string_handle)); \
if (h != NULL) { \
h->strA = NULL; \
h->strW = name ? _wcsdup(name) : NULL; \
h->extra1 = 0; /* reserved */ \
h->extra2 = NULL; /* reserved */ \
h->next = NULL; \
if (h_tail == NULL) \
(gptr)->string_list = h; \
else \
h_tail->next = h; \
} \
}

Definition at line 521 of file ittnotify_config.h.

## NEW_THREAD_INFO_A

#define NEW_THREAD_INFO_A | ( |  | gptr,
|  |  | h,
|  |  | h_tail,
|  |  | t,
|  |  | s,
|  |  | n
| ) |  |

Value:
{ \
h = (__itt_thread_info*)malloc(sizeof(__itt_thread_info)); \
if (h != NULL) { \
h->tid = t; \
h->nameA = n ? __itt_fstrdup(n) : NULL; \
h->nameW = NULL; \
h->state = s; \
h->extra1 = 0; /* reserved */ \
h->extra2 = NULL; /* reserved */ \
h->next = NULL; \
if (h_tail == NULL) \
(gptr)->thread_list = h; \
else \
h_tail->next = h; \
} \
}
s
void const char const char int ITT_FORMAT __itt_group_sync s
Definition: ittnotify_static.h:91
___itt_thread_info
Definition: ittnotify_config.h:372

Definition at line 472 of file ittnotify_config.h.

## NEW_THREAD_INFO_W

#define NEW_THREAD_INFO_W | ( |  | gptr,
|  |  | h,
|  |  | h_tail,
|  |  | t,
|  |  | s,
|  |  | n
| ) |  |

Value:
{ \
h = (__itt_thread_info*)malloc(sizeof(__itt_thread_info)); \
if (h != NULL) { \
h->tid = t; \
h->nameA = NULL; \
h->nameW = n ? _wcsdup(n) : NULL; \
h->state = s; \
h->extra1 = 0; /* reserved */ \
h->extra2 = NULL; /* reserved */ \
h->next = NULL; \
if (h_tail == NULL) \
(gptr)->thread_list = h; \
else \
h_tail->next = h; \
} \
}

Definition at line 455 of file ittnotify_config.h.

## PTHREAD_SYMBOLS

#define PTHREAD_SYMBOLS (1)

Definition at line 257 of file ittnotify_config.h.

## strong_alias

#define strong_alias | ( |  | name,
|  |  | aliasname
| ) |  | /* empty for Windows */

Definition at line 211 of file ittnotify_config.h.

## Typedef Documentation

## __itt_api_info

typedef struct ___itt_api_info __itt_api_info

## __itt_api_info_20101001

typedef struct ___itt_api_info_20101001 __itt_api_info_20101001

## __itt_counter_info_t

typedef struct __itt_counter_info __itt_counter_info_t

## __itt_global

typedef struct ___itt_global __itt_global

## __itt_thread_info

typedef struct ___itt_thread_info __itt_thread_info

## lib_t

typedef HMODULE lib_t

Definition at line 207 of file ittnotify_config.h.

## mutex_t

typedef CRITICAL_SECTION mutex_t

Definition at line 209 of file ittnotify_config.h.

## TIDT

typedef DWORD TIDT

Definition at line 208 of file ittnotify_config.h.

## Enumeration Type Documentation

## __itt_collection_state

enum __itt_collection_state

Enumerator
__itt_collection_normal |
__itt_collection_paused |

Definition at line 359 of file ittnotify_config.h.

{
__itt_collection_normal = 0,
__itt_collection_paused = 1
} __itt_collection_state;
__itt_collection_state
__itt_collection_state
Definition: ittnotify_config.h:359
__itt_collection_paused
@ __itt_collection_paused
Definition: ittnotify_config.h:361
__itt_collection_normal
@ __itt_collection_normal
Definition: ittnotify_config.h:360

## __itt_thread_state

enum __itt_thread_state

Enumerator
__itt_thread_normal |
__itt_thread_ignored |

Definition at line 364 of file ittnotify_config.h.

{
__itt_thread_normal = 0,
__itt_thread_ignored = 1
} __itt_thread_state;
__itt_thread_state
__itt_thread_state
Definition: ittnotify_config.h:364
__itt_thread_normal
@ __itt_thread_normal
Definition: ittnotify_config.h:365
__itt_thread_ignored
@ __itt_thread_ignored
Definition: ittnotify_config.h:366

## Function Documentation

## __itt_interlocked_increment()

ITT_INLINE long __itt_interlocked_increment | ( | volatile long * | ptr | ) |

Definition at line 250 of file ittnotify_config.h.

{
return InterlockedIncrement(ptr);
}

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.